<div class="dropdowns-variants">
  <div class="dropdown-wrapper">
    <app-dropdown-color
      [list]="[
        {
          label: lineChartColors[0].borderColor,
          value: lineChartData[0].label
        },
        { label: lineChartColors[1].borderColor, value: lineChartData[1].label }
      ]"
    ></app-dropdown-color>
    <span class="vs">vs.</span>

    <app-dropdown-color
      [list]="[
        {
          label: lineChartColors[1].borderColor,
          value: lineChartData[1].label
        },
        {
          label: lineChartColors[0].borderColor,
          value: lineChartData[1].label === 'Returns' ? 'Refunds' : lineChartData[0].label
        }
      ]"
    ></app-dropdown-color>
  </div>
  <app-choose
    [styles]="{
      margin: '2px 1px'
    }"
    [variants]="[
      { id: 0, title: 'Today' },
      { id: 1, title: '1w' },
      { id: 2, title: '2w' },
      { id: 3, title: '1m' },
      { id: 5, title: '3m' },
      { id: 6, title: '6m' },
      { id: 7, title: '1y' }
    ]"
  ></app-choose>
</div>
<div class="flex">
  <div class="flex-item">
    <div style="display: block;">
      <canvas
        baseChart
        width="400"
        height="69"
        [datasets]="lineChartData"
        [labels]="lineChartLabels"
        [options]="lineChartOptions"
        [colors]="lineChartColors"
        [legend]="false"
        [chartType]="lineChartType"
        [plugins]="lineChartPlugins"
        (chartHover)="chartHovered($event)"
        (chartClick)="chartClicked($event)"
      ></canvas>
    </div>
  </div>
  <!-- <div class="flex-item">
    <table class="table table-responsive table-condensed">
      <tr>
        <th *ngFor="let label of lineChartLabels">{{label}}</th>
      </tr>
      <tr *ngFor="let d of lineChartData; let i=index" [class]="'line-'+i">
        <td *ngFor="let label of lineChartLabels; let j=index">{{d && d.data[j]}}</td>
      </tr>
    </table>
    <button mat-button mat-raised-button color="primary" (click)="randomize()">Randomize</button>
    <button mat-button mat-raised-button color="primary" (click)="pushOne()">Push</button>
    <button mat-button mat-raised-button color="primary" (click)="changeColor()">Recolor</button>
    <button mat-button mat-raised-button color="primary" (click)="hideOne()">Toggle Series B</button>
    <button mat-button mat-raised-button color="primary" (click)="changeLabel()">Change Label</button>
  </div> -->
  <div
    class="chart-results"
    [ngStyle]="{
      width: results.length === 5 && '83%',
      'margin-bottom': '10px'
    }"
  >
    <app-chart-result
      [title]="item.title"
      [value]="item.value"
      [isLow]="item.isLow"
      [description]="item.description"
      *ngFor="let item of results"
    ></app-chart-result>
  </div>
</div>
